Opened 16 years ago

Closed 6 years ago

#2017 closed Feature request (outdated)

Legacy FS Support

Reported by: twelvebaud Owned by:
Priority: low Component: FileZilla Client
Keywords: Cc: twelvebaud, Tim Kosse, weiminlee, Alexander Schuch
Component version: Operating system type:
Operating system version:

Description

My father uses an ancient FTP server as part of his job.
His FTP server supports accessing directories using slash
for a delimiter, but the files he wants to access are not
accessible via this method. His directory change request
must follow the pattern "CWD 'QW.U.SNOW.ALL'" for
example, and the server responds normally.
Unfortunately, FileZilla wraps this in slashes when he
tries to change directories in the "Remote Site" pulldown.

If possible, add a server-by-server option to specify
directory delimiters, or to set the directory raw rather
than parsed.

Change History (16)

comment:1 Changed 16 years ago by Tim Kosse

Can you please give an example how the server replies to the
PWD command?

comment:2 Changed 16 years ago by twelvebaud

Command: CWD 'QW.U.ALL.SNOW.ALL2003'
Response: 250 'QW.U.ALL.SNOW.ALL2003.' is current
working directory prefix
Command: PWD
Response: 257 'QW.U.ALL.SNOW.ALL2003.' is current
working directory

comment:3 Changed 16 years ago by Tim Kosse

Please try the latest test release from
http://filezilla.sourceforge.net/FileZilla_setup.exe

comment:4 Changed 15 years ago by weiminlee

I'd like that option as well. It's similiar to connecting to the
ftp services on a MVS system. This is what I get on the pwd
command on our MVS.

ftp> cd 'fx.rfx.dev.fs840'
250 "FX.RFX.DEV.FS840." is the working directory name prefix.
ftp> pwd
257 "'FX.RFX.DEV.FS840.'" is working directory.
ftp>

comment:5 Changed 11 years ago by Alexander Schuch

What's the status regarding this item?

comment:6 Changed 11 years ago by Alexander Schuch

Can you try the latest version of FileZilla 3? If it doesn't work by default, can you add your site to the Site Manager and try different server types in order to check if any of them work for that server?

comment:7 Changed 11 years ago by twelvebaud

My dad no longer has access to an MVS system, so I can't really test... Perhaps weiminlee can...

comment:8 Changed 11 years ago by Alexander Schuch

I then set this item to pending again and we wait for weiminlee to hopefully give us a reply as well.

comment:9 Changed 11 years ago by weiminlee

Seems to navigate fine, but listing directory contents when files exist doesn't seem to work. I haven't tried any other commands.

Test result:
Response: 230 FTPFX is logged on. Working directory is "FTPFX.".
Status: Connected
Status: Retrieving directory listing...
Command: PWD
Response: 257 "'FTPFX.'" is working directory.
Command: TYPE I
Response: 200 Representation type is Image
Command: PORT 10,128,65,52,11,13
Response: 200 Port request OK.
Command: LIST
Response: 550 No data sets found.
Status: Directory listing successful
Command: CWD 'SYS2.F-PROCS'
Response: 250 The working directory "SYS2.F-PROCS" is a partitioned data set
Command: LIST
Error: Connection timed out

Windows FTP sample:
230 FTPFX is logged on. Working directory is "FTPFX.".
ftp> CD 'SYS2.F-PROCS'
250 The working directory "SYS2.F-PROCS" is a partitioned data set
ftp> LS
200 Port request OK.
125 List started OK

Name VV.MM Created Changed Size Init Mod Id

#FXA14 01.00 2007/06/13 2007/06/13 09:09 106 106 2 DFT
#FXA22 01.00 2007/06/13 2007/06/13 09:09 86 86 2 DFT
#FXA34 01.14 2004/01/28 2006/03/31 10:24 222 277 0 RML
#FXA84 01.00 2007/06/12 2007/06/12 15:08 387 387 0 RML
#FX200 01.04 2007/05/07 2007/05/07 10:01 195 201 0 RML
#FX280 01.13 2004/11/09 2004/11/19 16:48 215 213 1 BWP
#JAMIE 01.00 2007/01/23 2007/01/23 10:04 59 59 0 EJDX
250 List completed successfully.
ftp: 572 bytes received in 0.00Seconds 572000.00Kbytes/sec.

comment:10 Changed 11 years ago by weiminlee

We migrated our PeopleSoft system from DB2/MVS to Windows/MSSQL a year ago so I've had almost no need to access our mainframe since. We do on the other hand transfer files in unattended command line/batch mode to and from MVS and I wrote a VBS wrapper around Windows FTP for that.

I can't speak for everyone, but for me, this feature now falls into the "nice to have" category.

comment:11 Changed 11 years ago by Tim Kosse

wiminlee, your log looks very strange, there's a missing PASV/PORT between the last CWD and the LIST. Can you please attach another log with debug level set to 3?

comment:12 Changed 11 years ago by weiminlee

Looks like my submit of the LIST command didn't make any difference. The disconnect was received from the server after the CWD command...

Response: 230 FTPFX is logged on. Working directory is "FTPFX.".
Trace: CFtpControlSocket::SendNextCommand()
Command: SYST
Trace: CFtpControlSocket::OnReceive()
Response: 215 MVS is the operating system of this server. FTP Server is running on z/OS.
Trace: CFtpControlSocket::SendNextCommand()
Command: FEAT
Trace: CFtpControlSocket::OnReceive()
Response: 211 no Extensions supported
Status: Connected
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: Retrieving directory listing...
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "'FTPFX.'" is working directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Command: TYPE I
Trace: CFtpControlSocket::OnReceive()
Response: 200 Representation type is Image
Trace: CFtpControlSocket::TransferParseResponse()
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Command: PORT 10,128,65,52,26,238
Trace: CFtpControlSocket::OnReceive()
Response: 200 Port request OK.
Trace: CFtpControlSocket::TransferParseResponse()
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Command: LIST
Trace: CFtpControlSocket::OnReceive()
Response: 550 No data sets found.
Trace: CFtpControlSocket::TransferParseResponse()
Trace: CFtpControlSocket::ResetOperation(2)
Trace: CControlSocket::ResetOperation(2)
Trace: CFtpControlSocket::ParseSubcommandResult(2)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: Directory listing successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::RawCommandSend
Command: CWD 'SYS2.F-PROCS'
Trace: CFtpControlSocket::OnReceive()
Response: 250 The working directory "SYS2.F-PROCS" is a partitioned data set
Trace: CFtpControlSocket::RawCommandParseResponse
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CRealControlSocket::OnClose()
Error: Disconnected from server
Trace: CFtpControlSocket::ResetOperation(66)
Trace: CControlSocket::ResetOperation(66)

comment:13 Changed 11 years ago by Tim Kosse

Thanks for confusing me greatly. You can't just use raw commands without telling me and then post the log. Especially since LIST cannot be used like that.

comment:14 Changed 11 years ago by weiminlee

Sorry about that, I should have been clearer. I did that because after connecting to MVS, the browser frame is empty and the Remote site: field is grayed out so I couldn't enter the path I want to navigate to. So because of that I tried issueing raw commands for navigation.

comment:15 Changed 7 years ago by Alexander Schuch

Status: newmoreinfo

Lots has changed in the past 4 years. Do you still have that issue or does FileZilla 3.5.3 properly handle your mainframe system now?

comment:16 Changed 6 years ago by Alexander Schuch

Resolution: outdated
Status: moreinfoclosed

No reply for more than 28 days.

Note: See TracTickets for help on using tickets.